List stack deployments
curl --request GET \
--url https://app.miget.com/api/v1/stacks/{uuid}/deployments \
--header 'Authorization: <api-key>'import requests
url = "https://app.miget.com/api/v1/stacks/{uuid}/deployments"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://app.miget.com/api/v1/stacks/{uuid}/deployments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"uuid": "<string>",
"state": "<string>",
"subevent": "<string>",
"commit_sha": "<string>",
"validation_errors": {},
"published_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z"
}
]Stack Deployments
List stack deployments
Returns the deployment history for a stack, most recent first.
GET
/
api
/
v1
/
stacks
/
{uuid}
/
deployments
List stack deployments
Authorizations
Bearer token for authentication. Format: 'Bearer {token}'
Headers
Workspace ID (uses default workspace if not provided)
Path Parameters
Stack UUID
Response
List stack deployments
Deployment identifier
Deployment state (pending, validating, publishing, building, succeeded, failed, cancelled)
Deployment kind (build or deploy)
Deployed commit SHA
Validation errors when the deployment failed
When the build/deploy was published
When the deployment reached a terminal state
Creation timestamp

